import 'package:flyinsono/lab/mock_data/mock_rpc.dart';
import 'package:fis_i18n/i18n.dart';
import 'package:fis_measure/interfaces/process/items/item_metas.dart';
import 'package:fis_measure/interfaces/process/items/terms.dart';
import 'package:fis_measure/interfaces/process/items/types.dart';
import 'package:vid/us/vid_us_unit.dart';
import 'package:fis_jsonrpc/rpc.dart';

import 'mock_measure_item.dart';

class MockData {
  // 测量项
  static List<MeasureItemInfo> measureItems = [
    MockMeasureItems.urmCurvatureAutoLine, // 自动弯曲度（直线）
    MockMeasureItems.urmCurvatureAutoTrace, // 自动弯曲度（曲线）
    MockMeasureItems.urmCurvatureManual, // 手动弯曲度
    MockMeasureItems.urmTracePerfusion, // 灌注图 Trace
    MockMeasureItems.urmTraceDenMeasure, // urmTraceDenMeasure Trace
    MockMeasureItems.urmTraceDenVelMeasure, // urmTraceDenVelMeasure Trace
    MockMeasureItems.urmTraceDensity, // urmTraceDensity Trace
    MockMeasureItems.urmTraceFractalDim, // urmTraceFractalDim Trace
    MockMeasureItems.urmTraceVelMeasure, // urmTraceVelMeasure Trace

    MockMeasureItems.urmRectPerfusion, // urmRectPerfusion Rect
    MockMeasureItems.urmRectDenMeasure, // urmRectDenMeasure Rect
    MockMeasureItems.urmRectDenVelMeasure, // urmRectDenVelMeasure Rect
    MockMeasureItems.urmRectDensity, // urmRectDensity Rect
    MockMeasureItems.urmRectFractalDim, // urmRectFractalDim Rect
    MockMeasureItems.urmRectVelMeasure, // urmRectVelMeasure Rect
    MockMeasureItems.urmShellPerfusionMeasure, //urmShellPerfusionMeasure

    MockMeasureItems.pisaMrRadius,
    MockMeasureItems.a2cEnterSimpsonDisc,
    MockMeasureItems.modifiedSimpsonDisc,
    MockMeasureItems.avaVTI,
    MockMeasureItems.flowVol,
    MockMeasureItems.rvDpDt,
    MockMeasureItems.lvDpDt,
    MockMeasureItems.rvsp,
    MockMeasureItems.qpQs,
    MockMeasureItems.qp,
    MockMeasureItems.qs,
    MeasureItemInfo(
      description: MeasureTerms.SV_Card,
      itemMeta: ItemMeta(
        MeasureTerms.SV_Card,
        measureType: MeasureTypes.SV,
        description: MeasureTerms.SV_Card,
        briefAnnotation: "SV",
        outputs: [
          ItemOutputMeta(MeasureTerms.SV, "SV", VidUsUnit.ml),
          // ItemOutputMeta(MeasureTerms.SI, "SI", VidUsUnit.mlm2),
          ItemOutputMeta(MeasureTerms.CO, "CO(SV)", VidUsUnit.Lmin),
          // ItemOutputMeta(MeasureTerms.CI, "CI", VidUsUnit.Lminm2),
          // ItemOutputMeta(MeasureTerms.CSA, "CSA", VidUsUnit.ml),
        ],
        childItems: [
          ItemMeta(
            MeasureTerms.SV_Diam,
            description: MeasureTerms.SV_Diam,
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.SV_Diam, "SV Diam", VidUsUnit.minute),
            ],
          ),
          ItemMeta(
            MeasureTerms.TA,
            description: "SV Trace",
            measureType: MeasureTypes.DopplerTrace,
            outputs: [
              ItemOutputMeta(MeasureTerms.SV_Trace, "SV Trace", VidUsUnit.None),
              ItemOutputMeta(MeasureTerms.VTI, "VTI", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.SV,
      itemMeta: ItemMeta(
        MeasureTerms.SV,
        measureType: MeasureTypes.SV,
        description: MeasureTerms.SV,
        briefAnnotation: "SV",
        outputs: [
          ItemOutputMeta(MeasureTerms.SV, "SV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.SI, "SI", VidUsUnit.mlm2),
          ItemOutputMeta(MeasureTerms.CO, "CO", VidUsUnit.Lmin),
          ItemOutputMeta(MeasureTerms.CI, "CI", VidUsUnit.Lminm2),
          ItemOutputMeta(MeasureTerms.CSA, "CSA", VidUsUnit.ml),
        ],
        childItems: [
          ItemMeta(
            MeasureTerms.SV_Diam,
            description: MeasureTerms.SV_Diam,
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.SV_Diam, "SV Diam", VidUsUnit.minute),
            ],
          ),
          ItemMeta(
            MeasureTerms.TA,
            description: "SV Trace",
            measureType: MeasureTypes.DopplerTrace,
            outputs: [
              ItemOutputMeta(MeasureTerms.SV_Trace, "SV Trace", VidUsUnit.None),
              ItemOutputMeta(MeasureTerms.VTI, "VTI", VidUsUnit.mm),
              ItemOutputMeta(MeasureTerms.HeartRate, "HR", VidUsUnit.HR),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.RI,
      itemMeta: ItemMeta(
        MeasureTerms.RI,
        measureType: MeasureTypes.ResistivityIndexTwoLocationByEd,
        description: MeasureTerms.RI,
        briefAnnotation: "RI",
        outputs: [
          ItemOutputMeta(MeasureTerms.RI, "RI", VidUsUnit.None),
        ],
        childItems: [
          ItemMeta(
            "Location1",
            description: "PS",
            measureType: MeasureTypes.Velocity,
            outputs: [
              ItemOutputMeta(MeasureTerms.PS, "PS", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            "Location2",
            description: "ED",
            measureType: MeasureTypes.Velocity,
            outputs: [
              ItemOutputMeta(MeasureTerms.ED, "ED", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.RVStudy,
      itemMeta: ItemMeta(
        MeasureTerms.RVStudy,
        measureType: MeasureTypes.TwoVerticalDistance,
        description: MeasureTerms.RVStudy,
        briefAnnotation: "RV Study",
        outputs: [
          ItemOutputMeta(MeasureTerms.RVStudy, "RV Study", VidUsUnit.percent),
        ],
        childItems: [
          ItemMeta(
            "L1",
            description: "RVIDd",
            measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.RVIDd, "RVIDd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            "L2",
            description: "RVIDs",
            measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.RVIDd, "RVIDd", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.LvStudySimple,
      itemMeta: ItemMeta(
        MeasureTerms.LvStudySimple,
        measureType: MeasureTypes.LvSimpleTissue,
        description: MeasureTerms.LvStudySimple,
        briefAnnotation: "LV Study(d&s)",
        outputs: [
          ItemOutputMeta(
              MeasureTerms.LvStudySimple, "LV Study（Simple）", VidUsUnit.None),
          ItemOutputMeta(MeasureTerms.LVEDV, "LVEDV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.LVESV, "LVESV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.SV, "SV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.EF, "EF", VidUsUnit.percent),
          ItemOutputMeta(MeasureTerms.FS, "%FS", VidUsUnit.percent),
        ],
        childItems: [
          ItemMeta(
            "L1",
            description: "LVIDd",
            measureType: MeasureTypes.Distance,
            // measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDd, "LVIDd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            "L2",
            description: "LVIDs",
            measureType: MeasureTypes.Distance,
            // measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDs, "LVIDs", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.PercentMAM,
      itemMeta: ItemMeta(
        MeasureTerms.PercentMAM,
        measureType: MeasureTypes.ThreeVerticalDistance,
        description: MeasureTerms.PercentMAM,
        briefAnnotation: "MAM%",
        outputs: [
          ItemOutputMeta(MeasureTerms.PercentMAM, "MAM%", VidUsUnit.percent),
        ],
        childItems: [
          ItemMeta(
            "L",
            description: "MAPSE",
            measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.MAPSE, "MAPSE", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            "W",
            description: "LVIDd",
            measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDd, "LVIDd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            "H",
            description: "LVIDs",
            measureType: MeasureTypes.VerticalDistance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDs, "LVIDs", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.EF,
      itemMeta: ItemMeta(
        MeasureTerms.EF,
        measureType: MeasureTypes.EfTeich,
        description: MeasureTerms.EF,
        briefAnnotation: "EF",
        outputs: [
          ItemOutputMeta(MeasureTerms.EF, "EF", VidUsUnit.percent),
        ],
        childItems: [
          ItemMeta(
            MeasureTerms.LVIDd,
            description: "LVIDd",
            measureType: MeasureTypes.VerticalDistance,
            // measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDd, "LVIDd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            MeasureTerms.LVIDs,
            description: "LVIDs",
            measureType: MeasureTypes.VerticalDistance,
            // measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDs, "LVIDs", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.LVdMass,
      itemMeta: ItemMeta(
        MeasureTerms.LVdMass,
        measureType: MeasureTypes.LVdMass,
        description: MeasureTerms.LVdMass,
        briefAnnotation: "LVdMass",
        outputs: [
          ItemOutputMeta(MeasureTerms.LVdMass, "LVdMass", VidUsUnit.g),
          ItemOutputMeta(
              MeasureTerms.LVdMassIndex, "LV Mass Index", VidUsUnit.gm2),
        ],
        childItems: [
          ItemMeta(
            MeasureTerms.EpiLVAd,
            description: "Epi LVAd",
            measureType: MeasureTypes.AreaPerimeterTrace,
            outputs: [
              ItemOutputMeta(MeasureTerms.Area, "LVIDd", VidUsUnit.mm2),
            ],
          ),
          ItemMeta(
            MeasureTerms.EndoVLAd,
            description: "Endo LVAd",
            measureType: MeasureTypes.AreaPerimeterTrace,
            outputs: [
              ItemOutputMeta(MeasureTerms.Area, "LVIDs", VidUsUnit.mm2),
            ],
          ),
          ItemMeta(
            MeasureTerms.LVLd,
            description: "LVLd",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVLd, "LVLd", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: MeasureTerms.LvStudy,
      itemMeta: ItemMeta(
        MeasureTerms.LvStudy,
        measureType: MeasureTypes.LvStudyByLineGroupTissue,
        description: MeasureTypes.Distance,
        briefAnnotation: "LvStudy",
        outputs: [
          ItemOutputMeta(MeasureTerms.LvStudy, "LvStudy", VidUsUnit.None),
          ItemOutputMeta(MeasureTerms.LVEDV, "LVEDV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.LVESV, "LVESV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.SV, "SV", VidUsUnit.ml),
          ItemOutputMeta(MeasureTerms.LVdMass, "LVd Mass", VidUsUnit.g),
          ItemOutputMeta(MeasureTerms.EF, "EF", VidUsUnit.percent),
          ItemOutputMeta(MeasureTerms.FS, "%FS", VidUsUnit.percent),
          ItemOutputMeta(MeasureTerms.PercentIVS, "%IVS", VidUsUnit.percent),
          ItemOutputMeta(MeasureTerms.PercentLVPW, "%LVPW", VidUsUnit.percent),
        ],
        childItems: [
          ItemMeta(
            MeasureTerms.IVSd,
            description: "IVSd",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.IVSd, "IVSd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            MeasureTerms.LVIDd,
            description: "LVIDd",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDd, "LVIDd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            MeasureTerms.LVPWd,
            description: "LVPWd",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVPWd, "LVPWd", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            MeasureTerms.IVSs,
            description: "IVSs",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.IVSs, "IVSs", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            MeasureTerms.LVIDs,
            description: "LVIDs",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVIDs, "LVIDs", VidUsUnit.mm),
            ],
          ),
          ItemMeta(
            MeasureTerms.LVPWs,
            description: "LVPWs",
            measureType: MeasureTypes.Distance,
            outputs: [
              ItemOutputMeta(MeasureTerms.LVPWs, "LVPWs", VidUsUnit.mm),
            ],
          ),
        ],
      ),
    ),
    MeasureItemInfo(
      description: i18nBook.measure.distance.t,
      itemMeta: ItemMeta(
        MeasureTypes.Distance,
        measureType: MeasureTypes.Distance,
        description: MeasureTypes.Distance,
        briefAnnotation: "D",
        outputs: [
          ItemOutputMeta(MeasureTypes.Distance, "Distance", VidUsUnit.cm),
        ],
      ),
    ),
    MeasureItemInfo(
      description: i18nBook.measure.circumference.t,
      itemMeta: ItemMeta(
        MeasureTerms.Perimeter,
        measureType: MeasureTypes.AreaPerimeterTrace,
        description: MeasureTerms.Perimeter,
        briefAnnotation: "P",
        outputs: [
          ItemOutputMeta(MeasureTerms.Perimeter, "Perimeter", VidUsUnit.cm),
        ],
      ),
    ),
    MeasureItemInfo(
      description: i18nBook.measure.area.t,
      itemMeta: ItemMeta(
        MeasureTerms.Area,
        measureType: MeasureTypes.AreaPerimeterTrace,
        description: MeasureTerms.Area,
        briefAnnotation: "A",
        outputs: [
          ItemOutputMeta(MeasureTerms.Area, "Area", VidUsUnit.cm2),
        ],
      ),
    ),
  ];
  // 图像Vid数据
  static List<VidDataInfo> demoVidList = [
    VidDataInfo(
      id: "1",
      vidUrl:
          "https://flyinsono-bj-1300984704.cos.ap-beijing.myqcloud.com/20240311_02_24470312D5D6D0901D027CA8C7855D9E.dat",
      coverUrl: "https://cdn-bj.fis.plus/D24BB70DE1DB44BC97BFCB1868952790.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.AnalysisVideo,
      imageType: ImageType.Vid,
    ),
    VidDataInfo(
      id: "14",
      vidUrl:
          "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
      coverUrl: "https://cdn-bj.fis.plus/65C6A4FBCE254DA98FD5A7CE311046EE.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.AnalysisImage,
      imageType: ImageType.URM_Result,
      extendVidUrls: [
        "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
        "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
        "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
        "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
        "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
      ],
    ),
    VidDataInfo(
      id: "11",
      vidUrl:
          "https://cdn-bj.fis.plus/20240425_03_453B44CD3E8ED5CDF401F2B96A6ED964.dat",
      coverUrl: "https://cdn-bj.fis.plus/86CB5F27F61B4CC09ABD92D5BE707B23.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.AnalysisImage,
      imageType: ImageType.URM,
    ),
    VidDataInfo(
      id: "12",
      vidUrl:
          "https://cdn-bj.fis.plus/20240425_03_64FB062C81FF2297B3EC96E807D91A84.dat",
      coverUrl: "https://cdn-bj.fis.plus/65C6A4FBCE254DA98FD5A7CE311046EE.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.AnalysisImage,
      imageType: ImageType.URM,
    ),
    VidDataInfo(
      id: "20",
      vidUrl:
          "http://cdn-bj.fis.plus/20240521_06_A2383C4499F3AE95FCFF08A9258D196C.dat",
      coverUrl: "http://cdn-bj.fis.plus/BE93C1CC0C3D4BF2B38CBF8FBFA75467.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Vid,
    ),
    VidDataInfo(
      id: "15",
      vidUrl:
          "http://cdn-bj.fis.plus/20240509_07_83A51B1986A391FE7AFEE8DD3ED464F6.dat",
      coverUrl: "http://cdn-bj.fis.plus/3D74AA84893041F6B8E098848B7AE7F0.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Vid,
    ),
    VidDataInfo(
      id: "16",
      vidUrl:
          "http://cdn-bj.fis.plus/20240509_07_46248BC529A8840C6A6B484917F484E6.dat",
      coverUrl: "http://cdn-bj.fis.plus/F8E1C7E350BE42D481CD5BF89B05887B.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "13",
      vidUrl:
          "http://cdn-bj.fis.plus/20240425_07_DF39A3CE75810C41193917A34E3A3090.dat",
      coverUrl: "http://cdn-bj.fis.plus/E55BFF2C5E354E81B27C8A53D589CDCB.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Vid,
    ),
    VidDataInfo(
      id: "2",
      vidUrl: "http://cdn-bj.fis.plus/D3C4ECD19B1441FFAF37C6AA5C1C50AB.vid",
      coverUrl: "http://cdn-bj.fis.plus/25403D9B0FD84E1391002D76DC13F6FF.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "3",
      vidUrl: "http://cdn-bj.fis.plus/02ED2CD9177246E29B5F7DD856C080DD.vid",
      coverUrl: "http://cdn-bj.fis.plus/A1DAC5D8F32E4E53AB7C1231B8FBB5B5.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "4",
      vidUrl: "http://cdn-bj.fis.plus/479A4D845C5F4DA4A83E6FD02862EA43.vid",
      coverUrl: "http://cdn-bj.fis.plus/33EA79738BD4498FAB3946062A2FA93C.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "5",
      vidUrl: "http://cdn-bj.fis.plus/7A3A085D0E9F46C39EDAE045BEE418B3.vid",
      coverUrl: "http://cdn-bj.fis.plus/F968D793EF9E492899A1A8392300C18B.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "6",
      vidUrl: "http://cdn-bj.fis.plus/FA02D25E6C694216BD38046F837A1EF9.vid",
      coverUrl: "http://cdn-bj.fis.plus/60DDA624060D4A97836AFCD430D35891.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "7",
      vidUrl: "http://cdn-bj.fis.plus/50310BDB0BB24916AE1EA7988A16AB13.vid",
      coverUrl: "http://cdn-bj.fis.plus/21D53777C5444F39A753499809C05A6B.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "8",
      vidUrl: "http://cdn-bj.fis.plus/B7E10BD4CA314AB69421DB0204AD5C9F.vid",
      coverUrl: "http://cdn-bj.fis.plus/FEBEA903D714442D94D43ACA0DB36806.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "9",
      vidUrl: "http://cdn-bj.fis.plus/B0129E1DA0DA405B934ED6125B8E5972.vid",
      coverUrl: "http://cdn-bj.fis.plus/D974EDF065424FBE8597AE0A183E698C.jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
    VidDataInfo(
      id: "10",
      vidUrl:
          "http://cdn-bj.fis.plus/20240423_12_9920890924646DBA81C210CF2AAC65BC.dat",
      coverUrl: "http://cdn-bj.fis.plus/27590AE645A34861BD8F81E5E81DFF44.Jpg",
      sampleRemedicalFileDataTypeEnum:
          SampleRemedicalFileDataTypeEnum.VinnoVidMovie,
      imageType: ImageType.Measure_Result,
    ),
  ];

  static MeasureSystemSettingDTO defaultMeasureSystemSettingDTO =
      MeasureSystemSettingDTO(
    cursorSize: 16,
    shapeCursorSize: 30,
    showResultWindow: true,
    fontSize: 14,
    showCursorLine: true,
    showDepthGuideline: true,
    showBriefAnnotation: true,
    autoSnapDistance: '20',
    minCursorDistance: '20',
    annotationFontSize: 14,
    distanceUnit: Unit.mm,
    areaUnit: Unit.cm2,
    velocityUnit: Unit.cms,
    timeUnit: Unit.s,
  );

  static List<TaskDetail> mockTasks = [];
}
